<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>TP 2 — Mogahan</title>
    <link rel="stylesheet" href="main.css">
    <script src="brython.js"></script>
    <script src="brython_stdlib.js"></script>
</head>

<body onload="brython()">
    <div id="video">
        <video controls>
            <source src="mogahan-tp-02-index-quality-med.webm" type="video/webm">
            Votre navigateur ne peut pas lire la vidéo.
        </video>
    </div>

    <div id="starting-code-pane">
        <div class="navbar">
            <span>CODE SOURCE DE DÉPART</span>
            <div class="buttons">
                <button id="editor-btn">ÉDITEUR</button>
            </div>
        </div>

        <pre>tous_les_documents = list()

document = dict()
document["mots_cles"] = ["cartographie", "antiquité", "moyen âge"]
document["adresse"] = "https://www.franceculture.fr/emissions/le-cours-de-l-histoire/le-cours-de-l-histoire-emission-du-lundi-06-septembre-2021"
tous_les_documents.append(document)

document = dict()
document["mots_cles"] = ["cartographie", "moyen âge", "renaissance"]
document["adresse"] = "https://www.franceculture.fr/emissions/le-cours-de-l-histoire/le-cours-de-l-histoire-emission-du-mardi-07-septembre-2021"
tous_les_documents.append(document)

document = dict()
document["mots_cles"] = ["cartographie", "python"]
document["adresse"] = "https://scitools.org.uk/cartopy/docs/latest/"
tous_les_documents.append(document)

document = dict()
document["mots_cles"] = ["cartographie", 'SQL', 'SQLite']
document["adresse"] = "https://www.gaia-gis.it/fossil/libspatialite/index"
tous_les_documents.append(document)


def chercher(recherche):
    resultats = list()

    for document in tous_les_documents:
        if recherche in document["mots_cles"]:
            resultats.append(document["adresse"])

    return resultats
</pre>
    </div>

    <div id="editor-pane" style="display: none;">
        <div class="navbar">
            <span>ÉDITEUR</span>
            <div class="buttons">
                <button id="run-btn">LANCER</button>
                <div class="dropdown" tabindex="0">
                    <button class="dropdown-btn" aria-haspopup="menu">MODE</button>
                    <div class="dropdown-content" role="menu">
                        <button id="starting-code-btn">CODE SOURCE DE DÉPART</button>
                        <button id="console-btn" style="display: none;">CONSOLE</button>
                        <button id="web-app-btn">SITE WEB</button>
                    </div>
                </div>
            </div>
        </div>

        <div id="editor"></div>
    </div>

    <div id="search-engine-pane" style="display: none">
        <div class="navbar">
            <span>SITE WEB</span>
            <div class="buttons">
                <button id="export-btn" style="display: none;">EXPORTER</button>
            </div>
        </div>

        <div id="web-app-not-launched">
            <p>Pour lancer le site web, veuillez cliquer sur le bouton « lancer ».</p>
        </div>

        <div id="web-app-error" style="display: none;">
            <p></p>
            <pre></pre>
        </div>

        <div id="web-app" style="display: none;">
            <div id="search-engine-page">
                <a id="db-mgmt-link" class="nav" href="#">base de données</a>
                <h3>Mogahan</h3>
                <form id="search-form">
                    <input type="text" autocomplete="off" name="query">
                    <button>chercher</button>
                </form>
                <div id="search-results"></div>
            </div>

            <div id="db-page" style="display: none">
                <a id="search-engine-link" class="nav" href="#">moteur de recherche</a>

                <h4>Index</h4>
                <div id="index">
                    <div class="content"></div>
                    <div class="disabled-info">
                        <p>requiert une fonction "calculer_statistiques" pour fontionner</p>
                    </div>
                </div>

                <h4>Documents</h4>
                <div id="doc-list"></div>
            </div>
        </div>
    </div>

    <div id="export-pane" style="display: none;">
        <div class="navbar">
            <span>EXPORTER</span>
            <div class="buttons">
                <button id="close-export-pane-btn">× fermer</button>
            </div>
        </div>
        <form>
            <p>
                Cliquez sur « exporter » pour télécharger votre moteur de recherche sous forme d'un fichier HTML.
            </p>
            <label>
                nom de votre moteur de recherche
                <input type="text" name="title" value="Mogahan">
            </label>
            <label>
                sous-titre
                <input type="text" name="subtitle">
            </label>
            <button>
                EXPORTER
            </button>
        </form>
    </div>

    <div id="console-pane">
        <div class="navbar">
            <span>CONSOLE</span>
        </div>
        <div id="console" contenteditable spellcheck="false"></div>
    </div>

    <script src="main.js" type="module"></script>
    <script type="text/python" src="ide.py"></script>

    <script src="./node_modules/monaco-editor/min/vs/loader.js"></script>
    <script>
        require.config({ paths: { vs: './node_modules/monaco-editor/min/vs' } });

        require(['vs/editor/editor.main'], function () {
            window.editor = monaco.editor.create(document.getElementById('editor'), {
                value: document.querySelector('#starting-code-pane pre').innerText,
                language: 'python',
                automaticLayout: true,
                minimap: {
                    enabled: false,
                },
                lineNumbers: "off",
                folding: false,
                copyWithSyntaxHighlighting: false,
            });
        });
    </script>
</body>

</html>